import {createRouter, createWebHistory} from 'vue-router'
import staticRouter from './modules/static'
import Temp404 from '@/views/global/temp/404.vue'
import * as api from '@/api/index'
import {toLogin} from "@/utils/permissions";

const routes = [
    ...staticRouter,
    { path: '/:pathMatch(.*)*', name: 'NotFound', component: Temp404 }
]

const router = createRouter({
    history: createWebHistory(),
    routes,
});

router.beforeEach((to, from , next) => {
    next()
    // if (to.meta?.noAuth) {
    //     if (to.path === '/login' && localStorage.getItem('ax_token')) {
    //         next({
    //             path: '/'
    //         })
    //     } else {
    //         next()
    //     }
    // } else {
    //     if (to.query.axToken) {
    //         localStorage.removeItem('navigations')
    //         localStorage.removeItem('menuExpend')
    //         localStorage.setItem("ax_token", <string>to.query.axToken);
    //         setTimeout(() => {//虽然不知道为什么要加宏任务，但是我不敢改
    //             delete to.query.axToken
    //             let url = `${window.location.origin + window.location.pathname}?`
    //             for (let queryKey in to.query) {
    //                 url += `${queryKey}=${to.query[queryKey]}&`
    //             }
    //             window.location.replace(url.slice(0, url.length - 1));
    //             getInit(to, next)
    //         }, 0);
    //     } else if (localStorage.getItem("ax_token")) {
    //         getInit(to, next)
    //     } else {
    //         toLogin()
    //     }
    // }
})


export const initMainRouter = async () => {

}
export default router;
